org.springframework.scripting.config

## Class LangNamespaceHandler

- java.lang.Object
- - org.springframework.beans.factory.xml.NamespaceHandlerSupport
  - - org.springframework.scripting.config.LangNamespaceHandler

All Implemented Interfaces:
  NamespaceHandler

    public class LangNamespaceHandler
    extends NamespaceHandlerSupport

`NamespaceHandler` that supports the wiring of objects backed by dynamic languages such as Groovy, JRuby and BeanShell. The following is an example (from the reference documentation) that details the wiring of a Groovy backed bean:

     <lang:groovy id="messenger"
         refresh-check-delay="5000"
         script-source="classpath:Messenger.groovy">
     <lang:property name="message" value="I Can Do The Frug"/>
     </lang:groovy>

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller, Mark Fisher

### Constructor Summary

Constructors
Constructor and Description
`LangNamespaceHandler()`

### Method Summary

Methods
`void` `init()` Invoked by the `DefaultBeanDefinitionDocumentReader` after construction but before any custom elements are parsed.

### Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport

`decorate, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LangNamespaceHandler

    public LangNamespaceHandler()

### Method Detail

#### init

    public void init()

Description copied from interface: `NamespaceHandler`
Invoked by the `DefaultBeanDefinitionDocumentReader` after construction but before any custom elements are parsed.

See Also:
  `NamespaceHandlerSupport.registerBeanDefinitionParser(String, BeanDefinitionParser)`